<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:paddingEnd="10dp"
    tools:background="#073388">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@drawable/shape_rect_round_11_solid_e0e0e0"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/top_view"
            android:layout_width="0dp"
            android:layout_height="65dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <TextView
                android:id="@+id/top_eboard"
                android:layout_width="207dp"
                android:layout_height="0dp"
                android:gravity="center"
                android:text="实验室安全信息牌"
                android:textColor="#FFFEFEFE"
                android:textSize="20sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <View
                android:id="@+id/top_h_line1"
                android:layout_width="2dp"
                android:layout_height="0dp"
                android:background="#FFE0E0E0"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toEndOf="@id/top_eboard"
                app:layout_constraintTop_toTopOf="parent" />

            <LinearLayout
                android:id="@+id/labLevelInfo"
                android:layout_width="86dp"
                android:layout_height="0dp"
                android:layout_marginTop="2dp"
                android:gravity="center"
                android:orientation="vertical"
                android:paddingStart="6dp"
                android:paddingEnd="6dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toEndOf="@id/top_h_line1"
                app:layout_constraintTop_toTopOf="parent"
                tools:background="#FFDE4848">

                <TextView
                    android:id="@+id/dangerName"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:ellipsize="end"
                    android:gravity="center"
                    android:maxLines="1"
                    android:textColor="@android:color/white"
                    android:textSize="14sp"
                    tools:text="化学类" />

                <TextView
                    android:id="@+id/dangerLevel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="2dp"
                    android:ellipsize="end"
                    android:gravity="center"
                    android:maxLines="1"
                    android:textColor="@android:color/white"
                    android:textSize="14sp"
                    tools:text="一级" />

            </LinearLayout>

            <View
                android:id="@+id/top_h_line2"
                android:layout_width="2dp"
                android:layout_height="0dp"
                android:background="#FFE0E0E0"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toEndOf="@id/labLevelInfo"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/subjectName"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_marginStart="15dp"
                android:layout_marginEnd="15dp"
                android:ellipsize="end"
                android:gravity="center"
                android:maxLines="1"
                android:textColor="@android:color/white"
                android:textSize="14sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toStartOf="@id/building"
                app:layout_constraintStart_toEndOf="@id/top_h_line2"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="管制类化学品暂存库" />

            <TextView
                android:id="@+id/building"
                android:layout_width="wrap_content"
                android:layout_height="0dp"
                android:layout_marginEnd="25dp"
                android:ellipsize="end"
                android:gravity="center_vertical"
                android:maxLines="1"
                android:textColor="@android:color/white"
                android:textSize="14sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toStartOf="@id/address"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="环测楼" />

            <TextView
                android:id="@+id/address"
                android:layout_width="wrap_content"
                android:layout_height="0dp"
                android:layout_marginEnd="20dp"
                android:ellipsize="end"
                android:gravity="center_vertical"
                android:maxLines="1"
                android:textColor="@android:color/white"
                android:textSize="17sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toStartOf="@id/qrCode"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="A103 房间" />

            <ImageView
                android:id="@+id/qrCode"
                android:layout_width="50dp"
                android:layout_height="50dp"
                android:layout_marginEnd="17dp"
                android:contentDescription="@null"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:background="#FF0000" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <View
            android:id="@+id/v_line1"
            android:layout_width="0dp"
            android:layout_height="2dp"
            android:background="#FFE0E0E0"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/top_view" />

        <TextView
            android:id="@+id/labSafePerson"
            android:layout_width="0dp"
            android:layout_height="37dp"
            android:background="#B3B9C6"
            android:ellipsize="end"
            android:gravity="center_vertical"
            android:maxLines="1"
            android:paddingStart="14dp"
            android:paddingEnd="14dp"
            android:textColor="#001F5C"
            android:textSize="14sp"
            app:layout_constraintEnd_toStartOf="@id/safeInfo"
            app:layout_constraintHorizontal_bias="0.0"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/v_line1"
            tools:ignore="SmallSp"
            tools:text="学院：园艺学院  实验室负责人：吴素玉  电话：15598785566" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/safeInfo"
            android:layout_width="205dp"
            android:layout_height="0dp"
            app:layout_constraintBottom_toTopOf="@id/textView"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@id/v_line1">

            <TextView
                android:id="@+id/header"
                android:layout_width="0dp"
                android:layout_height="28dp"
                android:gravity="center"
                android:textColor="@android:color/white"
                android:textSize="14sp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:background="#DE4848"
                tools:text="安全须知" />

            <androidx.core.widget.NestedScrollView
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:background="@android:color/white"
                android:fillViewport="true"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/header">

                <LinearLayout
                    android:id="@+id/hazardCategory"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="18dp"
                    android:layout_marginTop="10dp"
                    android:layout_marginEnd="12dp"
                    android:layout_marginBottom="10dp"
                    android:descendantFocusability="afterDescendants"
                    android:divider="@drawable/divider_sub_safe_text"
                    android:orientation="vertical"
                    android:showDividers="middle" />

            </androidx.core.widget.NestedScrollView>

        </androidx.constraintlayout.widget.ConstraintLayout>

        <View
            android:id="@+id/v_line2"
            android:layout_width="0dp"
            android:layout_height="2dp"
            android:background="#FFE0E0E0"
            app:layout_constraintEnd_toStartOf="@id/safeInfo"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/labSafePerson" />

        <View
            android:id="@+id/h_middle_line"
            android:layout_width="2dp"
            android:layout_height="0dp"
            android:background="#FFE0E0E0"
            app:layout_constraintBottom_toTopOf="@id/specialFlipper"
            app:layout_constraintEnd_toStartOf="@id/safeInfo"
            app:layout_constraintStart_toEndOf="@id/content"
            app:layout_constraintTop_toBottomOf="@id/v_line1" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/content"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginStart="2dp"
            android:layout_marginEnd="2dp"
            android:background="@android:color/white"
            app:layout_constraintBottom_toTopOf="@id/specialFlipper"
            app:layout_constraintEnd_toStartOf="@id/safeInfo"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/v_line2" />

        <AdapterViewFlipper
            android:id="@+id/specialFlipper"
            android:layout_width="0dp"
            android:layout_height="37dp"
            android:layout_marginEnd="30dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/textView"
            app:layout_constraintStart_toStartOf="parent" />

        <TextView
            android:id="@+id/textView"
            android:layout_width="wrap_content"
            android:layout_height="37dp"
            android:layout_marginEnd="18dp"
            android:gravity="center_vertical"
            android:text="实验室安全与条件保障处 制"
            android:textColor="@android:color/white"
            android:textSize="15sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>